%{!?upstream_version: %global upstream_version %{version}}
%define upstream_name puppetlabs-mysql


Name:           puppet-mysql
Version:        3.10.0
Release:        1%{?dist}
Summary:        Installs, configures, and manages the MySQL service.
License:        Apache-2.0

URL:            http://github.com/puppetlabs/puppetlabs-mysql

Source0:        https://github.com/puppetlabs/%{upstream_name}/archive/%{version}.tar.gz#/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:      noarch

Requires:       puppet-stdlib
Requires:       puppet-staging
Requires:       puppet >= 2.7.0

%description
Installs, configures, and manages the MySQL service.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/mysql/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/mysql/



%files
%{_datadir}/openstack-puppet/modules/mysql/


%changelog
* Wed Nov 09 2016 Jon Schlueter <jschluet@redhat.com> 3.10.0-1
- Update to 3.10.0

* Thu Nov 03 2016 Jon Schlueter <jschluet@redhat.com> 3.9.0-2
- Update modulesync_config [51f469d]
- Add support for setting tls options for mysql_user's
- Revert "Add support for REQUIRE SSL|X509 option"
- Add support for REQUIRE SSL|X509 option
- Cleanup debug logging from the mysql_datadir provider
- MODULES-3907 Add MySQL/Percona 5.7 initialize on fresh deploy
- Added parameter import_cat_cmd
- [MODULES-#3557] Add Ubuntu 16.04 package names for language bindings
- fixes problem with package name change from php5-mysql to php-mysql on ubuntu 16.04

* Wed Sep 21 2016 Haikel Guemar <hguemar@fedoraproject.org> - 3.9.0-1.ad259bd.git
- Newton update 3.9.0 (ad259bd05a0190475fde02dacdc9a3d7b9621ec9)


